summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNP-Hardass <NP-Hardass@gentoo.org>2017-04-10 13:57:56 -0400
committerNP-Hardass <NP-Hardass@gentoo.org>2017-04-10 13:58:09 -0400
commitdbf00679ca6dc7f6d788fab2f177a2d8270e247f (patch)
tree71d13755d160d95c6fdf6e45725fa3834a573014 /app-emulation/winetricks
parentdev-python/llvmlite: Update/fix flag mangling (diff)
downloadgentoo-dbf00679ca6dc7f6d788fab2f177a2d8270e247f.tar.gz
gentoo-dbf00679ca6dc7f6d788fab2f177a2d8270e247f.tar.bz2
gentoo-dbf00679ca6dc7f6d788fab2f177a2d8270e247f.zip
app-emulation/winetricks: Support slotted wine
Package-Manager: Portage-2.3.3, Repoman-2.3.1
Diffstat (limited to 'app-emulation/winetricks')
-rw-r--r--app-emulation/winetricks/winetricks-20170327.ebuild5
-rw-r--r--app-emulation/winetricks/winetricks-99999999.ebuild7
2 files changed, 9 insertions, 3 deletions
diff --git a/app-emulation/winetricks/winetricks-20170327.ebuild b/app-emulation/winetricks/winetricks-20170327.ebuild
index bcfd03b2136..66a4e4c1c21 100644
--- a/app-emulation/winetricks/winetricks-20170327.ebuild
+++ b/app-emulation/winetricks/winetricks-20170327.ebuild
@@ -31,9 +31,12 @@ DEPEND=""
RDEPEND="app-arch/cabextract
app-arch/p7zip
app-arch/unzip
- app-emulation/wine
net-misc/wget
x11-misc/xdg-utils
+ || (
+ app-emulation/wine
+ virtual/wine
+ )
gtk? ( gnome-extra/zenity )
kde? ( kde-apps/kdialog )
rar? ( app-arch/unrar )"
diff --git a/app-emulation/winetricks/winetricks-99999999.ebuild b/app-emulation/winetricks/winetricks-99999999.ebuild
index 08a714102ab..e62ac69ef23 100644
--- a/app-emulation/winetricks/winetricks-99999999.ebuild
+++ b/app-emulation/winetricks/winetricks-99999999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -31,9 +31,12 @@ DEPEND=""
RDEPEND="app-arch/cabextract
app-arch/p7zip
app-arch/unzip
- app-emulation/wine
net-misc/wget
x11-misc/xdg-utils
+ || (
+ app-emulation/wine
+ virtual/wine
+ )
gtk? ( gnome-extra/zenity )
kde? ( kde-apps/kdialog )
rar? ( app-arch/unrar )"